# Domain Views Display

The Domain Views Display module works with [Domain Access] to allow the
administrator to override a Views display with another on specific domains. For
example if you have an RSS listing page for `a.example.com` and `b.example.com`
and you want to modify the listing on `b.example.com` you can create a new
display tailored to `b.example.com` and configure the old display to use the new
one on `b.example.com`.

It's an alternative to using domain-specific config overrides and was created to
provide a simple user interface for site builders to configure everything within
one view. Currently it's not possible to use Domain Config UI with Views; if
that changes, this module will be largely obsolete.

## Requirements

- Views (core)
- [Domain Access]

## Installation

Install as you would normally install a contributed Drupal module.
See: https://www.drupal.org/node/895232 for further information.

## Configuration

1. When configuring the view, there should be a new field group in the center
   column _Domain overrides_.
2. Click the link next to _Override display_.
3. You should be able to choose which display to use for every configured
   domain.

## Known issues

-  It's possible to set up loops where display A redirects to display B which
   redirects to display A.
-  If you rename a display that overrides another, you'll need to reconfigure
   the override.
-  Views configured to have domain-specific overrides don't add the domains as
   config dependencies of the view (possibly related to [#2426607]).

[Domain Access]: https://www.drupal.org/project/domain
[#2426607]: https://www.drupal.org/project/drupal/issues/2426607
